Subject: Re: new function needed
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Thu, 6 Sep 2007 16:32:04 -0400

Mike,

    The "add notes" take you to a separate page and that information is not recorded on the order details page.  The only info. being stored on the order details page is if we happen to do a federal re-ship, the notes for that function are recorded and listed.

    Specifically, the following are the categories I was referring to:(Order Number, Company, Order Type, Order Status, Campaign, Sales Person, Created On).

    As far as the new "cleared balance" function, do we need to talk about this one?  Let me know.

Thanks,

Mike - LLPS

  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Wednesday, September 05, 2007 10:29 PM
  Subject: Re: new function needed

  This one is fairly complicated.  I will need to think of all the areas this will affect.

  Here is a list of the items I have fixed from the attached document:
  * When an order is canceled, the “CANCELED” display in red on Orders Details page.

  * Also, change the display of the notice dates to show most recently added first.

  * For phone or tele orders, require a contact name other than “Manager, Mgr., Office Mgr., Office Manager, Office, and any other title you can think of”.  Display “Not a valid contact name”, blank out contact field and place the user back into the Contact name field to re-enter a valid name.

  * Under View Back Order List tab, 1.Display by state (together), 2.When selecting a specific back ordered product, display the results by order #, 3.With displayed results,  at top show a total “Qty. Orders Found”.

  Here are a few items I have questions about:

  * Move all order notes to Order Details page.  Order notes separated from company notes.  Company notes to be displayed as “All Company Notes”.
  ? The order details page should display all notes that are tied to the order.  Originally order notes were called "Shipping Notes" and were displayed in one long field.  I am pretty sure I have converted all the logic that used the shipping notes.  All order that were made after this conversion should show the notes below the Order Details.  I made this conversion at least two months ago.  If you find any process that is still using the "Shipping Notes" method let me know so it can be converted.

  * When using the Advanced Order Search page, display all results to view by Order Number.  Also, on this same page, change each category to “clickable” so you may sort by the selected category.
  ? For the second part of this request, when you say "category" do you mean the Order Type heading that is at the top of the listing?

  Mike wrote: 
    Mike,
    Can you add a function to the Add/View Payment button?  What I would like is a RED "Clear Payment" button.  This would work similar to the add payment button in that it would apply the balance due to zero it out.  The difference is that it would record "Payment Cleared" on the order details page (line items) and in the order notes.  I also would like it to cause a flag to be added to the CO ID #.  This way in the future if the customer wants to be billed and they have been flagged as a risk or failure to pay past due amounts, we can decide how we would like to proceed.  Also, we should be able to see how many accounts and the amounts to be written off (all of this we are currently doing manually).  We will need some reporting built in also.  A side note as well, we would not want to show these as sales if no money has been exchanged or short of the total sale.  Will this automatically be factored in?  Just a thought.  Also, I have a task list of things I have asked for in the past that are not completed.  We can talk priority later.  If there is anything on it that seems simple to implement, go ahead and do it.

    Thanks,
    Michael Bishop
    Labor Law Poster Service
    Phone 877-321-4144
    Fax 888-442-4144
    [email-masked]